// --- [ SLA_main.c ] ---------------------------------------------------------
//
//     tab = 3 -  24.02.2012

#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdlib.h>
#include "USI_Slave.h"

#define TRUE					1
#define FALSE					0

// --- Globale Variablen ------------------------------------------------------


// ----------------------------------------------------------------------------
int main( void )
{
uint8_t usi_data[32];
uint8_t i, rx;

USI_SLA_Init();
asm volatile("sei");	 							// enable_interrupt
														// Sleep-Modus konfigurieren
while(1)
	{

   if ((rx = USI_SLA_Rx_Cnt()))           // sind Daten im Puffer ?
      {                                   // ist eine bertragung im Gange, wird hier bis zum Abschluss gewartet

		USI_SLA_Get_Data(usi_data); 			// Daten aus dem Empfangspuffer holen

		for (i = 0; i < rx; i++) usi_data[i] += 2;

		USI_SLA_Put_Data(usi_data, rx);		// Wert ins USI-Modul exportieren
		}
	}
}

// --- [ eof ] ----------------------------------------------------------------

